Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network48.26.32.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
48.26.32.0
Broadcast address
48.26.63.255
First usable
48.26.32.1
Last usable
48.26.63.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 301A2000 · Integer 807018496 to 807026687
Reverse DNS zones
32.26.48.in-addr.arpa
33.26.48.in-addr.arpa
34.26.48.in-addr.arpa
35.26.48.in-addr.arpa
36.26.48.in-addr.arpa
37.26.48.in-addr.arpa
38.26.48.in-addr.arpa
39.26.48.in-addr.arpa
40.26.48.in-addr.arpa
41.26.48.in-addr.arpa
42.26.48.in-addr.arpa
43.26.48.in-addr.arpa
44.26.48.in-addr.arpa
45.26.48.in-addr.arpa
46.26.48.in-addr.arpa
47.26.48.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110000.00011010.00100000.0000000048.26.32.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00110000.00011010.00100000.0000000048.26.32.0
Broadcast00110000.00011010.00111111.1111111148.26.63.255
Split into smaller subnets/26

48.26.32.0/19 makes 128 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
148.26.32.0/2648.26.32.1 to 48.26.32.6248.26.32.6362
248.26.32.64/2648.26.32.65 to 48.26.32.12648.26.32.12762
348.26.32.128/2648.26.32.129 to 48.26.32.19048.26.32.19162
448.26.32.192/2648.26.32.193 to 48.26.32.25448.26.32.25562
548.26.33.0/2648.26.33.1 to 48.26.33.6248.26.33.6362
648.26.33.64/2648.26.33.65 to 48.26.33.12648.26.33.12762
748.26.33.128/2648.26.33.129 to 48.26.33.19048.26.33.19162
848.26.33.192/2648.26.33.193 to 48.26.33.25448.26.33.25562
948.26.34.0/2648.26.34.1 to 48.26.34.6248.26.34.6362
1048.26.34.64/2648.26.34.65 to 48.26.34.12648.26.34.12762
1148.26.34.128/2648.26.34.129 to 48.26.34.19048.26.34.19162
1248.26.34.192/2648.26.34.193 to 48.26.34.25448.26.34.25562
1348.26.35.0/2648.26.35.1 to 48.26.35.6248.26.35.6362
1448.26.35.64/2648.26.35.65 to 48.26.35.12648.26.35.12762
1548.26.35.128/2648.26.35.129 to 48.26.35.19048.26.35.19162
1648.26.35.192/2648.26.35.193 to 48.26.35.25448.26.35.25562
1748.26.36.0/2648.26.36.1 to 48.26.36.6248.26.36.6362
1848.26.36.64/2648.26.36.65 to 48.26.36.12648.26.36.12762
1948.26.36.128/2648.26.36.129 to 48.26.36.19048.26.36.19162
2048.26.36.192/2648.26.36.193 to 48.26.36.25448.26.36.25562
2148.26.37.0/2648.26.37.1 to 48.26.37.6248.26.37.6362
2248.26.37.64/2648.26.37.65 to 48.26.37.12648.26.37.12762
2348.26.37.128/2648.26.37.129 to 48.26.37.19048.26.37.19162
2448.26.37.192/2648.26.37.193 to 48.26.37.25448.26.37.25562
2548.26.38.0/2648.26.38.1 to 48.26.38.6248.26.38.6362
2648.26.38.64/2648.26.38.65 to 48.26.38.12648.26.38.12762
2748.26.38.128/2648.26.38.129 to 48.26.38.19048.26.38.19162
2848.26.38.192/2648.26.38.193 to 48.26.38.25448.26.38.25562
2948.26.39.0/2648.26.39.1 to 48.26.39.6248.26.39.6362
3048.26.39.64/2648.26.39.65 to 48.26.39.12648.26.39.12762
3148.26.39.128/2648.26.39.129 to 48.26.39.19048.26.39.19162
3248.26.39.192/2648.26.39.193 to 48.26.39.25448.26.39.25562
3348.26.40.0/2648.26.40.1 to 48.26.40.6248.26.40.6362
3448.26.40.64/2648.26.40.65 to 48.26.40.12648.26.40.12762
3548.26.40.128/2648.26.40.129 to 48.26.40.19048.26.40.19162
3648.26.40.192/2648.26.40.193 to 48.26.40.25448.26.40.25562
3748.26.41.0/2648.26.41.1 to 48.26.41.6248.26.41.6362
3848.26.41.64/2648.26.41.65 to 48.26.41.12648.26.41.12762
3948.26.41.128/2648.26.41.129 to 48.26.41.19048.26.41.19162
4048.26.41.192/2648.26.41.193 to 48.26.41.25448.26.41.25562
4148.26.42.0/2648.26.42.1 to 48.26.42.6248.26.42.6362
4248.26.42.64/2648.26.42.65 to 48.26.42.12648.26.42.12762
4348.26.42.128/2648.26.42.129 to 48.26.42.19048.26.42.19162
4448.26.42.192/2648.26.42.193 to 48.26.42.25448.26.42.25562
4548.26.43.0/2648.26.43.1 to 48.26.43.6248.26.43.6362
4648.26.43.64/2648.26.43.65 to 48.26.43.12648.26.43.12762
4748.26.43.128/2648.26.43.129 to 48.26.43.19048.26.43.19162
4848.26.43.192/2648.26.43.193 to 48.26.43.25448.26.43.25562
4948.26.44.0/2648.26.44.1 to 48.26.44.6248.26.44.6362
5048.26.44.64/2648.26.44.65 to 48.26.44.12648.26.44.12762
5148.26.44.128/2648.26.44.129 to 48.26.44.19048.26.44.19162
5248.26.44.192/2648.26.44.193 to 48.26.44.25448.26.44.25562
5348.26.45.0/2648.26.45.1 to 48.26.45.6248.26.45.6362
5448.26.45.64/2648.26.45.65 to 48.26.45.12648.26.45.12762
5548.26.45.128/2648.26.45.129 to 48.26.45.19048.26.45.19162
5648.26.45.192/2648.26.45.193 to 48.26.45.25448.26.45.25562
5748.26.46.0/2648.26.46.1 to 48.26.46.6248.26.46.6362
5848.26.46.64/2648.26.46.65 to 48.26.46.12648.26.46.12762
5948.26.46.128/2648.26.46.129 to 48.26.46.19048.26.46.19162
6048.26.46.192/2648.26.46.193 to 48.26.46.25448.26.46.25562
6148.26.47.0/2648.26.47.1 to 48.26.47.6248.26.47.6362
6248.26.47.64/2648.26.47.65 to 48.26.47.12648.26.47.12762
6348.26.47.128/2648.26.47.129 to 48.26.47.19048.26.47.19162
6448.26.47.192/2648.26.47.193 to 48.26.47.25448.26.47.25562
6548.26.48.0/2648.26.48.1 to 48.26.48.6248.26.48.6362
6648.26.48.64/2648.26.48.65 to 48.26.48.12648.26.48.12762
6748.26.48.128/2648.26.48.129 to 48.26.48.19048.26.48.19162
6848.26.48.192/2648.26.48.193 to 48.26.48.25448.26.48.25562
6948.26.49.0/2648.26.49.1 to 48.26.49.6248.26.49.6362
7048.26.49.64/2648.26.49.65 to 48.26.49.12648.26.49.12762
7148.26.49.128/2648.26.49.129 to 48.26.49.19048.26.49.19162
7248.26.49.192/2648.26.49.193 to 48.26.49.25448.26.49.25562
7348.26.50.0/2648.26.50.1 to 48.26.50.6248.26.50.6362
7448.26.50.64/2648.26.50.65 to 48.26.50.12648.26.50.12762
7548.26.50.128/2648.26.50.129 to 48.26.50.19048.26.50.19162
7648.26.50.192/2648.26.50.193 to 48.26.50.25448.26.50.25562
7748.26.51.0/2648.26.51.1 to 48.26.51.6248.26.51.6362
7848.26.51.64/2648.26.51.65 to 48.26.51.12648.26.51.12762
7948.26.51.128/2648.26.51.129 to 48.26.51.19048.26.51.19162
8048.26.51.192/2648.26.51.193 to 48.26.51.25448.26.51.25562
8148.26.52.0/2648.26.52.1 to 48.26.52.6248.26.52.6362
8248.26.52.64/2648.26.52.65 to 48.26.52.12648.26.52.12762
8348.26.52.128/2648.26.52.129 to 48.26.52.19048.26.52.19162
8448.26.52.192/2648.26.52.193 to 48.26.52.25448.26.52.25562
8548.26.53.0/2648.26.53.1 to 48.26.53.6248.26.53.6362
8648.26.53.64/2648.26.53.65 to 48.26.53.12648.26.53.12762
8748.26.53.128/2648.26.53.129 to 48.26.53.19048.26.53.19162
8848.26.53.192/2648.26.53.193 to 48.26.53.25448.26.53.25562
8948.26.54.0/2648.26.54.1 to 48.26.54.6248.26.54.6362
9048.26.54.64/2648.26.54.65 to 48.26.54.12648.26.54.12762
9148.26.54.128/2648.26.54.129 to 48.26.54.19048.26.54.19162
9248.26.54.192/2648.26.54.193 to 48.26.54.25448.26.54.25562
9348.26.55.0/2648.26.55.1 to 48.26.55.6248.26.55.6362
9448.26.55.64/2648.26.55.65 to 48.26.55.12648.26.55.12762
9548.26.55.128/2648.26.55.129 to 48.26.55.19048.26.55.19162
9648.26.55.192/2648.26.55.193 to 48.26.55.25448.26.55.25562
9748.26.56.0/2648.26.56.1 to 48.26.56.6248.26.56.6362
9848.26.56.64/2648.26.56.65 to 48.26.56.12648.26.56.12762
9948.26.56.128/2648.26.56.129 to 48.26.56.19048.26.56.19162
10048.26.56.192/2648.26.56.193 to 48.26.56.25448.26.56.25562
10148.26.57.0/2648.26.57.1 to 48.26.57.6248.26.57.6362
10248.26.57.64/2648.26.57.65 to 48.26.57.12648.26.57.12762
10348.26.57.128/2648.26.57.129 to 48.26.57.19048.26.57.19162
10448.26.57.192/2648.26.57.193 to 48.26.57.25448.26.57.25562
10548.26.58.0/2648.26.58.1 to 48.26.58.6248.26.58.6362
10648.26.58.64/2648.26.58.65 to 48.26.58.12648.26.58.12762
10748.26.58.128/2648.26.58.129 to 48.26.58.19048.26.58.19162
10848.26.58.192/2648.26.58.193 to 48.26.58.25448.26.58.25562
10948.26.59.0/2648.26.59.1 to 48.26.59.6248.26.59.6362
11048.26.59.64/2648.26.59.65 to 48.26.59.12648.26.59.12762
11148.26.59.128/2648.26.59.129 to 48.26.59.19048.26.59.19162
11248.26.59.192/2648.26.59.193 to 48.26.59.25448.26.59.25562
11348.26.60.0/2648.26.60.1 to 48.26.60.6248.26.60.6362
11448.26.60.64/2648.26.60.65 to 48.26.60.12648.26.60.12762
11548.26.60.128/2648.26.60.129 to 48.26.60.19048.26.60.19162
11648.26.60.192/2648.26.60.193 to 48.26.60.25448.26.60.25562
11748.26.61.0/2648.26.61.1 to 48.26.61.6248.26.61.6362
11848.26.61.64/2648.26.61.65 to 48.26.61.12648.26.61.12762
11948.26.61.128/2648.26.61.129 to 48.26.61.19048.26.61.19162
12048.26.61.192/2648.26.61.193 to 48.26.61.25448.26.61.25562
12148.26.62.0/2648.26.62.1 to 48.26.62.6248.26.62.6362
12248.26.62.64/2648.26.62.65 to 48.26.62.12648.26.62.12762
12348.26.62.128/2648.26.62.129 to 48.26.62.19048.26.62.19162
12448.26.62.192/2648.26.62.193 to 48.26.62.25448.26.62.25562
12548.26.63.0/2648.26.63.1 to 48.26.63.6248.26.63.6362
12648.26.63.64/2648.26.63.65 to 48.26.63.12648.26.63.12762
12748.26.63.128/2648.26.63.129 to 48.26.63.19048.26.63.19162
12848.26.63.192/2648.26.63.193 to 48.26.63.25448.26.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses